Mozilla Thunderbird < 45.7 Multiple Vulnerabilities

High Nessus Plugin ID 96905


The remote Windows host contains a mail client that is affected by multiple vulnerabilities.


The version of Mozilla Thunderbird installed on the remote Windows host is prior to 45.7. It is, therefore, affected by multiple vulnerabilities :

- Mozilla developers and community members Christian Holler, Gary Kwong, Andre Bargull, Jan de Mooij, Tom Schuster, and Oriol reported memory safety bugs present in Thunderbird 45.6. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code. (CVE-2017-5373)

- JIT code allocation can allow for a bypass of ASLR and DEP protections leading to potential memory corruption attacks. (CVE-2017-5375)

- Use-after-free while manipulating XSL in XSLT documents.

- Hashed codes of JavaScript objects are shared between pages. This allows for pointer leaks because an object's address can be discovered through hash codes, and also allows for data leakage of an object's content using these hash codes. (CVE-2017-5378)

- A potential use-after-free found through fuzzing during DOM manipulation of SVG content. (CVE-2017-5380)

- URLs containing certain unicode glyphs for alternative hyphens and quotes do not properly trigger punycode display, allowing for domain name spoofing attacks in the location bar. (CVE-2017-5383)

- The JSON viewer in the Developer Tools uses insecure methods to create a communication channel for copying and viewing JSON or HTTP headers data, allowing for potential privilege escalation. (CVE-2017-5390)

- A use-after-free vulnerability in the Media Decoder when working with media files when some events are fired after the media elements are freed from memory.

Note that Tenable Network Security has extracted the preceding description block directly from the Mozilla security advisories.
Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Upgrade to Mozilla Thunderbird version 45.7 or later.

See Also

Plugin Details

Severity: High

ID: 96905

File Name: mozilla_thunderbird_45_7.nasl

Version: $Revision: 1.4 $

Type: local

Agent: windows

Family: Windows

Published: 2017/01/31

Modified: 2017/03/15

Dependencies: 20862

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:ND


Base Score: 8.8

Temporal Score: 7.9

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:X

Vulnerability Information

CPE: cpe:/a:mozilla:thunderbird

Required KB Items: Mozilla/Thunderbird/Version

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/01/26

Vulnerability Publication Date: 2017/01/26

Reference Information

CVE: CVE-2017-5373, CVE-2017-5375, CVE-2017-5376, CVE-2017-5378, CVE-2017-5380, CVE-2017-5383, CVE-2017-5390, CVE-2017-5396

BID: 95757, 95758, 95762, 95769

OSVDB: 150831, 150832, 150834, 150836, 150837, 150858, 150859, 150860, 150861, 150862, 150863, 150864, 150865, 150866, 150875, 150878

MFSA: 2017-03